System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.Specialized.NameObjectCollectionBase To be added

Provides a type-safe way to manipulate HTTP cookies.

- Constructor

  ASP.NET includes two intrinsic cookie collections. The collection accessible through contains cookies transmitted by the client to the server in the Cookie header. The collection accessible through contains cookies generated on the server and transmitted to the client in the Set-Cookie header.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Any number of cookie collections can exist within an application, but only the collection referenced by the intrinsic object is sent to the client.

  The method allows duplicate cookies in the cookie collection. Use the method to ensure the uniqueness of cookies in the cookie collection.

  Adds the specified cookie to the cookie collection.

  The to add to the collection. 1.0.5000.0 2.0.0.0
- Property
  System.String[] To be added: an object of type 'string []' To be added

  Gets a string array containing all the keys (cookie names) in the cookie collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Clears all cookies from the cookie collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added. To be added

  Copies members of the cookie collection to an beginning at the specified index of the array.

  The index of the destination array where copying starts. 1.0.5000.0 2.0.0.0
- Method
  System.Web.HttpCookie `` To be added

  Returns the item with the specified index from the cookie collection.

  The specified by .

  The index of the cookie to return from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Web.HttpCookie ``

  If the named cookie does not exist, this method creates a new cookie with that name.

  Returns the cookie with the specified name from the cookie collection.

  The specified by .

  The name of the cookie to retrieve from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Returns the key (name) of the cookie at the specified numerical index.

  The name of the cookie specified by .

  The index of the key to retrieve from the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpCookie `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpCookie `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If a cookie with the specified does not exist in the collection, no exception is thrown.

  Removes the cookie with the specified name from the collection.

  The name of the cookie to remove from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method first checks to see if a cookie already exists in the collection and if so updates it. The method does not allow duplicate cookies in the cookie collection. To add duplicate cookies in the cookie collection, use the method.

  Updates the value of an existing cookie in a cookie collection.

  The object to update. 1.0.5000.0 2.0.0.0